Bug 326586

Summary: When validating a face marker digikam crash
Product: digikam Reporter: e.longuemare
Component: Faces-EngineAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles, e.longuemare, kurt.wieser
Priority: NOR Keywords: drkonqi
Version: 4.0.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 5.1.0
Attachments: New crash information added by DrKonqi
screenshot when crash occur
screenshot when crash occur
New screenshot - Crash when modifying face tag marker - still 4.0.0beta1

Description e.longuemare 2013-10-24 23:39:39 UTC
Application: digikam (4.0.0-beta1)
KDE Platform Version: 4.11.2
Qt Version: 4.8.2
Operating System: Linux 3.2.0-55-generic i686
Distribution: Ubuntu 12.04.3 LTS

-- Information about the crash:
- What I was doing when the application crashed:
1 - go to face management UI
2 - select "bad" face thumbs (face is not shown in face thumb, it's another part of the picture that is shown, in view mode face marker is in good place)
3 - swith to single picture view
4 - click on tag to adjust face marker
5 - validate

I've done the same thing on other pictures  before without crash  (a few pictures have been done then crash on one picture)

recognition.db has been fill when validate the pictures before crash (no learning process have been done yet)

console output :

digikam(10912)/KFACE KFaceIface::trainIdentityBatch: Training 1 images for identity 2
*** glibc detected *** /home/eric/digikamgit2/builddigikamsoftwarecompilation/core/digikam/digikam: free(): invalid pointer: 0x00690064 ***
======= Backtrace: =========
/lib/i386-linux-gnu/libc.so.6(+0x75ee2)[0x710cee2]
/usr/lib/i386-linux-gnu/libstdc++.so.6(_ZdlPv+0x1f)[0x7ce51f]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libdigikamdatabase.so.3(+0x10e2d8)[0x19a92d8]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libdigikamdatabase.so.3(+0x177b00)[0x1a12b00]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libdigikamdatabase.so.3(_ZN7Digikam10ImageModel14removeRowPairsERK5QListI5QPairIiiEE+0x3f8)[0x1a0fd7c]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libdigikamdatabase.so.3(_ZN7Digikam10ImageModel24finishIncrementalRefreshEv+0x51)[0x1a0f33d]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/core/digikam/digikam[0x81a695a]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/core/digikam/digikam[0x81a5994]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x241)[0x2737bb1]
/usr/lib/libkdecore.so.5(_ZN4KJob6resultEPS_+0x45)[0x53745f5]
/usr/lib/libkdecore.so.5(_ZN4KJob10emitResultEv+0x48)[0x5374648]
/usr/lib/libkio.so.5(_ZN3KIO9SimpleJob12slotFinishedEv+0x214)[0x95187a4]
/usr/lib/libkio.so.5(_ZN3KIO11TransferJob12slotFinishedEv+0x7d)[0x9521b1d]
/usr/lib/libkio.so.5(+0xca0d8)[0x95200d8]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x241)[0x2737bb1]
/usr/lib/libkio.so.5(_ZN3KIO14SlaveInterface8finishedEv+0x35)[0x95da485]
/usr/lib/libkio.so.5(_ZN3KIO14SlaveInterface8dispatchEiRK10QByteArray+0x6d1)[0x95db621]
/usr/lib/libkio.so.5(_ZN3KIO14SlaveInterface8dispatchEv+0x6a)[0x95d884a]
/usr/lib/libkio.so.5(_ZN3KIO5Slave8gotInputEv+0x58)[0x95c9ff8]
/usr/lib/libkio.so.5(+0x174660)[0x95ca660]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x241)[0x2737bb1]
/usr/lib/libkio.so.5(_ZN3KIO10Connection9readyReadEv+0x35)[0x94e3025]
/usr/lib/libkio.so.5(+0x8d89a)[0x94e389a]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN14QMetaCallEvent13placeMetaCallEP7QObject+0x41)[0x2733101]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x26b)[0x273c17b]
/usr/lib/i386-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xc4)[0x1c0bdf4]
/usr/lib/i386-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x18d)[0x1c1115d]
/usr/lib/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x41)[0x14afed1]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8e)[0x2720e0e]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x3d8)[0x2724f68]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication16sendPostedEventsEP7QObjecti+0x2c)[0x272529c]
/usr/lib/i386-linux-gnu/libQtCore.so.4(+0x1af994)[0x2753994]
/lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x146)[0x3cebd46]
/lib/i386-linux-gnu/libglib-2.0.so.0(+0x470e5)[0x3cec0e5]
/lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x41)[0x3cec1c1]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x67)[0x2753d87]
/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x1f3a1a)[0x1cc4a1a]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x4d)[0x271f6ad]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf9)[0x271f949]
/usr/lib/i386-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x9a)[0x272534a]
/usr/lib/i386-linux-gnu/libQtGui.so.4(_ZN12QApplication4execEv+0x24)[0x1c099c4]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/core/digikam/digikam[0x830de1b]
/lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf3)[0x70b04d3]
/home/eric/digikamgit2/builddigikamsoftwarecompilation/core/digikam/digikam[0x80bfb81]
======= Memory map: ========
00110000-00172000 r-xp 00000000 08:03 4135038    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkgeomap.so.1.0.0
00172000-00174000 r--p 00061000 08:03 4135038    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkgeomap.so.1.0.0
00174000-00175000 rw-p 00063000 08:03 4135038    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkgeomap.so.1.0.0
00175000-00177000 rw-p 00000000 00:00 0 
00177000-0017f000 r-xp 00000000 08:03 2898689    /usr/lib/i386-linux-gnu/libgphoto2_port.so.0.8.0
0017f000-00180000 r--p 00007000 08:03 2898689    /usr/lib/i386-linux-gnu/libgphoto2_port.so.0.8.0
00180000-00181000 rw-p 00008000 08:03 2898689    /usr/lib/i386-linux-gnu/libgphoto2_port.so.0.8.0
00183000-00192000 r-xp 00000000 08:03 2892954    /usr/lib/libknotifyconfig.so.4.11.2
00192000-00193000 r--p 0000f000 08:03 2892954    /usr/lib/libknotifyconfig.so.4.11.2
00193000-00194000 rw-p 00010000 08:03 2892954    /usr/lib/libknotifyconfig.so.4.11.2
00194000-001d0000 r-xp 00000000 08:03 4134708    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkdcraw.so.23.0.0
001d0000-001d2000 r--p 0003b000 08:03 4134708    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkdcraw.so.23.0.0
001d2000-001d3000 rw-p 0003d000 08:03 4134708    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkdcraw.so.23.0.0
001d3000-00211000 r-xp 00000000 08:03 2889379    /usr/lib/i386-linux-gnu/libQtXml.so.4.8.2
00211000-00212000 r--p 0003e000 08:03 2889379    /usr/lib/i386-linux-gnu/libQtXml.so.4.8.2
00212000-00213000 rw-p 0003f000 08:03 2889379    /usr/lib/i386-linux-gnu/libQtXml.so.4.8.2
00213000-00217000 r-xp 00000000 08:03 1311641    /lib/i386-linux-gnu/libattr.so.1.1.0
00217000-00218000 r--p 00003000 08:03 1311641    /lib/i386-linux-gnu/libattr.so.1.1.0
00218000-00219000 rw-p 00004000 08:03 1311641    /lib/i386-linux-gnu/libattr.so.1.1.0
00219000-00285000 r-xp 00000000 08:03 2888747    /usr/lib/i386-linux-gnu/libphonon.so.4.6.0
00285000-00287000 r--p 0006b000 08:03 2888747    /usr/lib/i386-linux-gnu/libphonon.so.4.6.0
00287000-00288000 rw-p 0006d000 08:03 2888747    /usr/lib/i386-linux-gnu/libphonon.so.4.6.0
00288000-00331000 r-xp 00000000 08:03 4074104    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkface.so.2.0.0
00331000-00332000 r--p 000a8000 08:03 4074104    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkface.so.2.0.0
00332000-00334000 rw-p 000a9000 08:03 4074104    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkface.so.2.0.0
00334000-003bd000 r-xp 00000000 08:03 4134615    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkexiv2.so.11.2.0
003bd000-003be000 r--p 00089000 08:03 4134615    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkexiv2.so.11.2.0
003be000-003bf000 rw-p 0008a000 08:03 4134615    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkexiv2.so.11.2.0
003bf000-003c0000 rw-p 00000000 00:00 0 
003c0000-003ea000 r-xp 00000000 08:03 1314741    /lib/i386-linux-gnu/libm-2.15.so
003ea000-003eb000 r--p 00029000 08:03 1314741    /lib/i386-linux-gnu/libm-2.15.so
003eb000-003ec000 rw-p 0002a000 08:03 1314741    /lib/i386-linux-gnu/libm-2.15.so
003ec000-003f4000 r-xp 00000000 08:03 2884700    /usr/lib/i386-linux-gnu/libgif.so.4.1.6
003f4000-003f5000 r--p 00007000 08:03 2884700    /usr/lib/i386-linux-gnu/libgif.so.4.1.6
003f5000-003f6000 rw-p 00008000 08:03 2884700    /usr/lib/i386-linux-gnu/libgif.so.4.1.6
003f6000-0041e000 r-xp 00000000 08:03 1311726    /lib/i386-linux-gnu/libpng12.so.0.46.0
0041e000-0041f000 r--p 00027000 08:03 1311726    /lib/i386-linux-gnu/libpng12.so.0.46.0
0041f000-00420000 rw-p 00028000 08:03 1311726    /lib/i386-linux-gnu/libpng12.so.0.46.0
00422000-00435000 r-xp 00000000 08:03 2886309    /usr/lib/libthreadweaver.so.4.11.2
00435000-00436000 r--p 00012000 08:03 2886309    /usr/lib/libthreadweaver.so.4.11.2
00436000-00437000 rw-p 00013000 08:03 2886309    /usr/lib/libthreadweaver.so.4.11.2
00437000-00455000 r-xp 00000000 08:03 2888516    /usr/lib/i386-linux-gnu/libgphoto2.so.2.4.0
00455000-00456000 r--p 0001d000 08:03 2888516    /usr/lib/i386-linux-gnu/libgphoto2.so.2.4.0
00456000-00457000 rw-p 0001e000 08:03 2888516    /usr/lib/i386-linux-gnu/libgphoto2.so.2.4.0
00457000-004b7000 rw-p 00000000 00:00 0 
004b7000-004c5000 r-xp 00000000 08:03 1317836    /lib/i386-linux-gnu/libudev.so.0.13.0
004c5000-004c6000 r--p 0000e000 08:03 1317836    /lib/i386-linux-gnu/libudev.so.0.13.0
004c6000-004c7000 rw-p 0000f000 08:03 1317836    /lib/i386-linux-gnu/libudev.so.0.13.0
004c7000-004de000 r-xp 00000000 08:03 1314739    /lib/i386-linux-gnu/libpthread-2.15.so
004de000-004df000 r--p 00016000 08:03 1314739    /lib/i386-linux-gnu/libpthread-2.15.so
004df000-004e0000 rw-p 00017000 08:03 1314739    /lib/i386-linux-gnu/libpthread-2.15.so
004e0000-004e2000 rw-p 00000000 00:00 0 
004e2000-004e5000 r-xp 00000000 08:03 2884808    /usr/lib/libdlrestrictions.so.1.0.0
004e5000-004e6000 r--p 00002000 08:03 2884808    /usr/lib/libdlrestrictions.so.1.0.0
004e6000-004e7000 rw-p 00003000 08:03 2884808    /usr/lib/libdlrestrictions.so.1.0.0
004e9000-0051f000 r-xp 00000000 08:03 2886340    /usr/lib/libnepomukutils.so.4.11.2
0051f000-00520000 r--p 00036000 08:03 2886340    /usr/lib/libnepomukutils.so.4.11.2
00520000-00521000 rw-p 00037000 08:03 2886340    /usr/lib/libnepomukutils.so.4.11.2
00521000-00534000 r-xp 00000000 08:03 2895075    /usr/lib/i386-linux-gnu/libpgf.so.6.0.7
00534000-00535000 r--p 00012000 08:03 2895075    /usr/lib/i386-linux-gnu/libpgf.so.6.0.7
00535000-00536000 rw-p 00013000 08:03 2895075    /usr/lib/i386-linux-gnu/libpgf.so.6.0.7
00536000-00548000 r-xp 00000000 08:03 2898461    /usr/lib/liblqr-1.so.0.3.1
00548000-00549000 r--p 00011000 08:03 2898461    /usr/lib/liblqr-1.so.0.3.1
00549000-0054a000 rw-p 00012000 08:03 2898461    /usr/lib/liblqr-1.so.0.3.1
0054a000-0054b000 r-xp 00000000 08:03 2885000    /usr/lib/i386-linux-gnu/libX11-xcb.so.1.0.0
0054b000-0054c000 r--p 00000000 08:03 2885000    /usr/lib/i386-linux-gnu/libX11-xcb.so.1.0.0
0054c000-0054d000 rw-p 00001000 08:03 2885000    /usr/lib/i386-linux-gnu/libX11-xcb.so.1.0.0
0054d000-00635000 r-xp 00000000 08:03 2884968    /usr/lib/libsolid.so.4.11.2
00635000-00640000 r--p 000e7000 08:03 2884968    /usr/lib/libsolid.so.4.11.2
00640000-00641000 rw-p 000f2000 08:03 2884968    /usr/lib/libsolid.so.4.11.2
00641000-0071b000 r-xp 00000000 08:03 2888531    /usr/lib/libnepomuk.so.4.11.2
0071b000-0071d000 r--p 000d9000 08:03 2888531    /usr/lib/libnepomuk.so.4.11.2
0071d000-0071e000 rw-p 000db000 08:03 2888531    /usr/lib/libnepomuk.so.4.11.2
0071e000-00721000 r-xp 00000000 08:03 1314745    /lib/i386-linux-gnu/libdl-2.15.so
00721000-00722000 r--p 00002000 08:03 1314745    /lib/i386-linux-gnu/libdl-2.15.so
00722000-00723000 rw-p 00003000 08:03 1314745    /lib/i386-linux-gnu/libdl-2.15.so
00724000-00725000 r-xp 00000000 00:00 0          [vdso]
00725000-007fd000 r-xp 00000000 08:03 2888806    /usr/lib/i386-linux-gnu/libstdc++.so.6.0.16
007fd000-007fe000 ---p 000d8000 08:03 2888806    /usr/lib/i386-linux-gnu/libstdc++.so.6.0.16
007fe000-00802000 r--p 000d8000 08:03 2888806    /usr/lib/i386-linux-gnu/libstdc++.so.6.0.16
00802000-00803000 rw-p 000dc000 08:03 2888806    /usr/lib/i386-linux-gnu/libstdc++.so.6.0.16
00803000-0080a000 rw-p 00000000 00:00 0 
0080a000-0080c000 r-xp 00000000 08:03 2888315    /usr/lib/i386-linux-gnu/libXdamage.so.1.1.0
0080c000-0080d000 r--p 00001000 08:03 2888315    /usr/lib/i386-linux-gnu/libXdamage.so.1.1.0
0080d000-0080e000 rw-p 00002000 08:03 2888315    /usr/lib/i386-linux-gnu/libXdamage.so.1.1.0
0080f000-0084b000 r-xp 00000000 08:03 2888754    /usr/lib/i386-linux-gnu/libQtSql.so.4.8.2
0084b000-0084c000 ---p 0003c000 08:03 2888754    /usr/lib/i386-linux-gnu/libQtSql.so.4.8.2
0084c000-0084d000 r--p 0003c000 08:03 2888754    /usr/lib/i386-linux-gnu/libQtSql.so.4.8.2
0084d000-0084e000 rw-p 0003d000 08:03 2888754    /usr/lib/i386-linux-gnu/libQtSql.so.4.8.2
0084e000-0089a000 r-xp 00000000 08:03 2887026    /usr/lib/i386-linux-gnu/libpulse.so.0.13.5
0089a000-0089b000 r--p 0004b000 08:03 2887026    /usr/lib/i386-linux-gnu/libpulse.so.0.13.5
0089b000-0089c000 rw-p 0004c000 08:03 2887026    /usr/lib/i386-linux-gnu/libpulse.so.0.13.5
0089c000-008a3000 r-xp 00000000 08:03 1314737    /lib/i386-linux-gnu/librt-2.15.so
008a3000-008a4000 r--p 00006000 08:03 1314737    /lib/i386-linux-gnu/librt-2.15.so
008a4000-008a5000 rw-p 00007000 08:03 1314737    /lib/i386-linux-gnu/librt-2.15.so
008a6000-00924000 r-xp 00000000 08:03 2889369    /usr/lib/i386-linux-gnu/libQtDBus.so.4.8.2
00924000-00925000 r--p 0007d000 08:03 2889369    /usr/lib/i386-linux-gnu/libQtDBus.so.4.8.2
00925000-00926000 rw-p 0007e000 08:03 2889369    /usr/lib/i386-linux-gnu/libQtDBus.so.4.8.2
00926000-0092e000 r-xp 00000000 08:03 2888652    /usr/lib/i386-linux-gnu/libltdl.so.7.3.0
0092e000-0092f000 r--p 00008000 08:03 2888652    /usr/lib/i386-linux-gnu/libltdl.so.7.3.0
0092f000-00930000 rw-p 00009000 08:03 2888652    /usr/lib/i386-linux-gnu/libltdl.so.7.3.0
00932000-00936000 r-xp 00000000 08:03 2884223    /usr/lib/i386-linux-gnu/libpulse-mainloop-glib.so.0.0.4
00936000-00937000 r--p 00003000 08:03 2884223    /usr/lib/i386-linux-gnu/libpulse-mainloop-glib.so.0.0.4
00937000-00938000 rw-p 00004000 08:03 2884223    /usr/lib/i386-linux-gnu/libpulse-mainloop-glib.so.0.0.4
00938000-00971000 r-xp 00000000 08:03 2893005    /usr/lib/libktexteditor.so.4.11.2
00971000-00973000 r--p 00038000 08:03 2893005    /usr/lib/libktexteditor.so.4.11.2
00973000-00974000 rw-p 0003a000 08:03 2893005    /usr/lib/libktexteditor.so.4.11.2
00974000-009b9000 r-xp 00000000 08:03 2888585    /usr/lib/i386-linux-gnu/libjpeg.so.8.0.2
009b9000-009ba000 r--p 00044000 08:03 2888585    /usr/lib/i386-linux-gnu/libjpeg.so.8.0.2
009ba000-009bb000 rw-p 00045000 08:03 2888585    /usr/lib/i386-linux-gnu/libjpeg.so.8.0.2
009bb000-009cb000 rw-p 00000000 00:00 0 
009cb000-00a2b000 r-xp 00000000 08:03 2884557    /usr/lib/i386-linux-gnu/libtiff.so.4.3.4
00a2b000-00a2d000 r--p 0005f000 08:03 2884557    /usr/lib/i386-linux-gnu/libtiff.so.4.3.4
00a2d000-00a2e000 rw-p 00061000 08:03 2884557    /usr/lib/i386-linux-gnu/libtiff.so.4.3.4
00a30000-00a7b000 r-xp 00000000 08:03 2885494    /usr/lib/libkparts.so.4.11.2
00a7b000-00a7c000 ---p 0004b000 08:03 2885494    /usr/lib/libkparts.so.4.11.2
00a7c000-00a7e000 r--p 0004b000 08:03 2885494    /usr/lib/libkparts.so.4.11.2
00a7e000-00a7f000 rw-p 0004d000 08:03 2885494    /usr/lib/libkparts.so.4.11.2
00a7f000-00a96000 r-xp 00000000 08:03 2907981    /usr/lib/liblensfun.so.0.2.7.0
00a96000-00a97000 r--p 00016000 08:03 2907981    /usr/lib/liblensfun.so.0.2.7.0
00a97000-00a98000 rw-p 00017000 08:03 2907981    /usr/lib/liblensfun.so.0.2.7.0
00a98000-00abd000 r-xp 00000000 08:03 2889567    /usr/lib/libtbb.so.2
00abd000-00abe000 ---p 00025000 08:03 2889567    /usr/lib/libtbb.so.2
00abe000-00abf000 r--p 00025000 08:03 2889567    /usr/lib/libtbb.so.2
00abf000-00ac0000 rw-p 00026000 08:03 2889567    /usr/lib/libtbb.so.2
00ac0000-00ac1000 rw-p 00000000 00:00 0 
00ac3000-00aed000 r-xp 00000000 08:03 4134556    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkipi.so.11.0.0
00aed000-00aee000 r--p 00029000 08:03 4134556    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkipi.so.11.0.0
00aee000-00aef000 rw-p 0002a000 08:03 4134556    /home/eric/digikamgit2/builddigikamsoftwarecompilation/lib/libkipi.so.11.0.0
00aef000-00af6000 r-xp 00000000 08:03 1311635    /lib/i386-linux-gnu/libacl.so.1.1.0
00af6000-00af7000 r--p 00006000 08:03 1311635    /lib/i386-linux-gnu/libacl.so.1.1.0
00af7000-00af8000 rw-p 00007000 08:03 1311635    /lib/i386-linux-gnu/libacl.so.1.1.0
00af8000-00b00000 r-xp 00000000 08:03 2886032    /usr/lib/i386-linux-gnu/libXrender.so.1.3.0
00b00000-00b01000 r--p 00007000 08:03 2886032    /usr/lib/i386-linux-gnu/libXrender.so.1.3.0
00b01000-00b02000 rw-p 00008000 08:03 2886032    /usr/lib/i386-linux-gnu/libXrender.so.1.3.0
00b02000-00b09000 r-xp 00000000 08:03 2888300    /usr/lib/i386-linux-gnu/libSM.so.6.0.1
00b09000-00b0a000 r--p 00006000 08:03 2888300    /usr/lib/i386-linux-gnu/libSM.so.6.0.1
00b0a000-00b0b000 rw-p 00007000 08:03 2888300    /usr/lib/i386-linux-gnu/libSM.so.6.0.1
00b0b000-00b11000 r-xp 00000000 08:03 2888630    /usr/lib/i386-linux-gnu/libjson.so.0.0.1KCrash: Application 'digikam' crashing...
digikam(10912)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT id, type, modificationDate, orientationHint, data FROM UniqueHashes    INNER JOIN Thumbnails ON thumbId = id WHERE uniqueHash=? AND fileSize=?;" 
Error messages: "QMYSQL3: Unable to store statement results" "Lost connection to MySQL server during query" 2013 2 
Bound values:  (QVariant(QString, "6722194561779dc1fb8bd7c15ba3bdf2") ,  QVariant(qlonglong, 1356268) )
digikam(10912)/digikam (core) Digikam::DatabaseCoreBackend::prepareQuery: Prepare failed!
digikam(10912)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT id, type, modificationDate, orientationHint, data FROM FilePaths    INNER JOIN Thumbnails ON thumbId = id WHERE path=?;" 
Error messages: "QMYSQL3: Unable to prepare statement" "MySQL server has gone away" 2006 2 
Bound values:  ()
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/eric/.kde-dev-SC/socket-eric-laptop/kdeinit4__0
digikam(10912)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2MessageHandler: Exiv2 ( 2 ) :  Directory Minolta, entry 0x0088: Data area exceeds data buffer, ignoring it.
digikam(10912)/digikam (core) Digikam::DImg::load: "/media/DiskphotosTests/jura aout 2011/PICT0124.JPG"  : JPEG file identified
digikam(10912)/digikam (core) Digikam::DatabaseCoreBackend::prepareQuery: Prepare failed!
digikam(10912)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT orientation FROM ImageInformation WHERE imageid=?;" 
Error messages: "QMYSQL3: Unable to prepare statement" "MySQL server has gone away" 2006 2 
Bound values:  ()
digikam(10912)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
QSocketNotifier: Invalid socket 17 and type 'Read', disabling...

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb515b780 (LWP 10912))]

Thread 7 (Thread 0xb321cb40 (LWP 10913)):
#0  0x00724416 in __kernel_vsyscall ()
#1  0x004d196b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x071936ec in __pthread_cond_wait (cond=0xa3d1970, mutex=0xa3d1958) at forward.c:139
#3  0x0260c420 in wait (time=4294967295, this=0xa3d1958) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa3d18cc, mutex=0xa3d18c8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820b2ba in Digikam::ScanController::run (this=0xa3cb0b8) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/digikam/database/scancontroller.cpp:725
#6  0x0260beb0 in QThreadPrivate::start (arg=0xa3cb0b8) at thread/qthread_unix.cpp:307
#7  0x004cdd4c in start_thread (arg=0xb321cb40) at pthread_create.c:308
#8  0x07185dde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xb28ffb40 (LWP 10914)):
#0  0x02753de9 in QEventDispatcherGlib::processEvents (this=0xb1f00468, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#1  0x0271f6ad in QEventLoop::processEvents (this=0xb28ff200, flags=...) at kernel/qeventloop.cpp:149
#2  0x0271f949 in QEventLoop::exec (this=0xb28ff200, flags=...) at kernel/qeventloop.cpp:204
#3  0x02608a1c in QThread::exec (this=0xa3e5d88) at thread/qthread.cpp:501
#4  0x026fccfd in QInotifyFileSystemWatcherEngine::run (this=0xa3e5d88) at io/qfilesystemwatcher_inotify.cpp:248
#5  0x0260beb0 in QThreadPrivate::start (arg=0xa3e5d88) at thread/qthread_unix.cpp:307
#6  0x004cdd4c in start_thread (arg=0xb28ffb40) at pthread_create.c:308
#7  0x07185dde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xb1effb40 (LWP 10918)):
#0  0x00724416 in __kernel_vsyscall ()
#1  0x004d196b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x071936ec in __pthread_cond_wait (cond=0xa4df790, mutex=0xa4df778) at forward.c:139
#3  0x0260c420 in wait (time=4294967295, this=0xa4df778) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa5362d8, mutex=0xa5362d4, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x03697e54 in Digikam::ParkingThread::run (this=0xa5362c8) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/libs/threads/threadmanager.cpp:119
#6  0x0260beb0 in QThreadPrivate::start (arg=0xa5362c8) at thread/qthread_unix.cpp:307
#7  0x004cdd4c in start_thread (arg=0xb1effb40) at pthread_create.c:308
#8  0x07185dde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0x9b402b40 (LWP 11014)):
#0  0x03cba8b7 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x00000000 in ?? ()

Thread 3 (Thread 0xa4727b40 (LWP 11064)):
#0  0x004d0c70 in __pthread_mutex_unlock_usercnt (mutex=0xe0a0e40, decr=1) at pthread_mutex_unlock.c:77
#1  0x07193944 in pthread_mutex_unlock (mutex=0xe0a0e40) at forward.c:184
#2  0x03d2b430 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x03cebf5f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x03cec1c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x02753de7 in QEventDispatcherGlib::processEvents (this=0xed8fbb0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x0271f6ad in QEventLoop::processEvents (this=0xa4727210, flags=...) at kernel/qeventloop.cpp:149
#7  0x0271f949 in QEventLoop::exec (this=0xa4727210, flags=...) at kernel/qeventloop.cpp:204
#8  0x036973c0 in Digikam::WorkerObjectRunnable::run (this=0xe09a888) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/libs/threads/threadmanager.cpp:196
#9  0x025fe46b in QThreadPoolThread::run (this=0xb2f4d40) at concurrent/qthreadpool.cpp:107
#10 0x0260beb0 in QThreadPrivate::start (arg=0xb2f4d40) at thread/qthread_unix.cpp:307
#11 0x004cdd4c in start_thread (arg=0xa4727b40) at pthread_create.c:308
#12 0x07185dde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa3f26b40 (LWP 11066)):
#0  0x0275336f in idleTimerSourcePrepare (source=0xf19a418, timeout=0xa3f2609c) at kernel/qeventdispatcher_glib.cpp:209
#1  0x03ceb832 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x03cebf6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x03cec1c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x02753de7 in QEventDispatcherGlib::processEvents (this=0xdc63690, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x0271f6ad in QEventLoop::processEvents (this=0xa3f26210, flags=...) at kernel/qeventloop.cpp:149
#6  0x0271f949 in QEventLoop::exec (this=0xa3f26210, flags=...) at kernel/qeventloop.cpp:204
#7  0x036973c0 in Digikam::WorkerObjectRunnable::run (this=0xecf6180) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/libs/threads/threadmanager.cpp:196
#8  0x025fe46b in QThreadPoolThread::run (this=0xb402f68) at concurrent/qthreadpool.cpp:107
#9  0x0260beb0 in QThreadPrivate::start (arg=0xb402f68) at thread/qthread_unix.cpp:307
#10 0x004cdd4c in start_thread (arg=0xa3f26b40) at pthread_create.c:308
#11 0x07185dde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb515b780 (LWP 10912)):
[KCrash Handler]
#7  0x00724416 in __kernel_vsyscall ()
#8  0x070c51df in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0x070c8825 in __GI_abort () at abort.c:91
#10 0x0710239a in __libc_message (do_abort=2, fmt=0x71fcaa8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:201
#11 0x0710cee2 in malloc_printerr (action=<optimized out>, str=<optimized out>, ptr=0x690064) at malloc.c:5018
#12 0x007ce51f in operator delete(void*) () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#13 0x019a92d8 in QList<QVariant>::node_destruct (this=0xa570384, n=0xf8c6248) at /usr/include/qt4/QtCore/qlist.h:388
#14 0x01a12b00 in QList<QVariant>::erase (this=0xa570384, afirst=..., alast=...) at /usr/include/qt4/QtCore/qlist.h:811
#15 0x01a0fd7c in Digikam::ImageModel::removeRowPairs (this=0xa5702f8, toRemove=...) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/libs/models/imagemodel.cpp:1025
#16 0x01a0f33d in Digikam::ImageModel::finishIncrementalRefresh (this=0xa5702f8) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/libs/models/imagemodel.cpp:844
#17 0x081a695a in Digikam::ImageAlbumModel::slotResult (this=0xa5702f8, job=0xf8784f8) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/libs/models/imagealbummodel.cpp:337
#18 0x081a5994 in Digikam::ImageAlbumModel::qt_static_metacall (_o=0xa5702f8, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfcc9318) at /home/eric/digikamgit2/builddigikamsoftwarecompilation/core/digikam/imagealbummodel.moc:90
#19 0x02737bb1 in QMetaObject::activate (sender=0xf8784f8, m=0x552b46c, local_signal_index=3, argv=0xbfcc9318) at kernel/qobject.cpp:3547
#20 0x053745f5 in KJob::result (this=0xf8784f8, _t1=0xf8784f8) at ./kjob.moc:208
#21 0x05374648 in KJob::emitResult (this=0xf8784f8) at ../../kdecore/jobs/kjob.cpp:318
#22 0x095187a4 in KIO::SimpleJob::slotFinished (this=0xf8784f8) at ../../kio/kio/job.cpp:496
#23 0x09521b1d in KIO::TransferJob::slotFinished (this=0xf8784f8) at ../../kio/kio/job.cpp:1099
#24 0x095200d8 in qt_static_metacall (_a=0xbfcc9590, _id=7, _o=0xf8784f8, _c=<optimized out>) at ./jobclasses.moc:388
#25 KIO::TransferJob::qt_static_metacall (_o=0xf8784f8, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfcc9590) at ./jobclasses.moc:375
#26 0x02737bb1 in QMetaObject::activate (sender=0xdfe1b18, m=0x9700420, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3547
#27 0x095da485 in KIO::SlaveInterface::finished (this=0xdfe1b18) at ./slaveinterface.moc:185
#28 0x095db621 in KIO::SlaveInterface::dispatch (this=0xdfe1b18, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:176
#29 0x095d884a in KIO::SlaveInterface::dispatch (this=0xdfe1b18) at ../../kio/kio/slaveinterface.cpp:92
#30 0x095c9ff8 in KIO::Slave::gotInput (this=0xdfe1b18) at ../../kio/kio/slave.cpp:344
#31 0x095ca660 in KIO::Slave::qt_static_metacall (_o=0xdfe1b18, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfcc9850) at ./slave.moc:57
#32 0x02737bb1 in QMetaObject::activate (sender=0xc19e5d0, m=0x96fd0b0, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#33 0x094e3025 in KIO::Connection::readyRead (this=0xc19e5d0) at ./connection.moc:106
#34 0x094e389a in dequeue (this=<optimized out>) at ../../kio/kio/connection.cpp:82
#35 KIO::ConnectionPrivate::dequeue (this=0xdfa9d18) at ../../kio/kio/connection.cpp:71
#36 0x02733101 in QMetaCallEvent::placeMetaCall (this=0xabc8a98, object=0xc19e5d0) at kernel/qobject.cpp:525
#37 0x0273c17b in QObject::event (this=0xc19e5d0, e=0xabc8a98) at kernel/qobject.cpp:1195
#38 0x01c0bdf4 in notify_helper (e=0xabc8a98, receiver=0xc19e5d0, this=0xa1f7770) at kernel/qapplication.cpp:4556
#39 QApplicationPrivate::notify_helper (this=0xa1f7770, receiver=0xc19e5d0, e=0xabc8a98) at kernel/qapplication.cpp:4528
#40 0x01c1115d in QApplication::notify (this=0xabc8a98, receiver=0xc19e5d0, e=0xabc8a98) at kernel/qapplication.cpp:4285
#41 0x014afed1 in KApplication::notify (this=0xbfcca168, receiver=0xc19e5d0, event=0xabc8a98) at ../../kdeui/kernel/kapplication.cpp:311
#42 0x02720e0e in QCoreApplication::notifyInternal (this=0xbfcca168, receiver=0xc19e5d0, event=0xabc8a98) at kernel/qcoreapplication.cpp:915
#43 0x02724f68 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#44 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa19b050) at kernel/qcoreapplication.cpp:1539
#45 0x0272529c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1432
#46 0x02753994 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#47 postEventSourceDispatch (s=0xa1f7a58) at kernel/qeventdispatcher_glib.cpp:279
#48 0x03cebd46 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#49 0x03cec0e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#50 0x03cec1c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#51 0x02753d87 in QEventDispatcherGlib::processEvents (this=0xa19bbb0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#52 0x01cc4a1a in QGuiEventDispatcherGlib::processEvents (this=0xa19bbb0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0x0271f6ad in QEventLoop::processEvents (this=0xbfcca034, flags=...) at kernel/qeventloop.cpp:149
#54 0x0271f949 in QEventLoop::exec (this=0xbfcca034, flags=...) at kernel/qeventloop.cpp:204
#55 0x0272534a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#56 0x01c099c4 in QApplication::exec () at kernel/qapplication.cpp:3817
#57 0x0830de1b in main (argc=1, argv=0xbfcca3c4) at /home/eric/digikamgit2/dkgitdigikamsoftwarecompilation/core/digikam/main/main.cpp:235

The reporter indicates this bug may be a duplicate of or related to bug 326585, bug 326538.

Possible duplicates by query: bug 326570, bug 323823, bug 322518, bug 321465, bug 320526.

Reported using DrKonqi
Comment 1 e.longuemare 2013-11-06 03:29:24 UTC
Created attachment 83360 [details]
New crash information added by DrKonqi

digikam (4.0.0-beta1) on KDE Platform 4.11.2 using Qt 4.8.2

- What I was doing when the application crashed:
I was building thumbnails with maintenance tools (analyse check) and go to move "bad face marker" - go to one picture view - clic on the tag name - move the marker and clic on OK to validate the change and make the face thumbnail well rotated or/and on the face (The face is sometime well delimited, but it's an other part that is thumb) - This occur on CR2 RAW file with orientation to 8 (270) - after modification thumbnail is the good one.

- Unusual behavior I noticed:
Crash of the digikam main windows (crash and disappear while digikam continue to run)
##LOGS OF DIGIKAM TASK RUNNING##
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedTransaction: Failure executing transaction. Error messages:
 "QMYSQL: Unable to begin transaction" "MySQL server has gone away" 2006 2
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackend::prepareQuery: Prepare failed!
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT id, type, modificationDate, orientationHint, data FROM UniqueHashes    INNER JOIN Thumbnails ON thumbId = id WHERE uniqueHash=? AND fileSize=?;" 
Error messages: "QMYSQL3: Unable to prepare statement" "MySQL server has gone away" 2006 2 
Bound values:  ()
digikam(26702)/KDCRAW KDcrawIface::KDcraw::loadEmbeddedPreview: Preview data size: 2062575
digikam(26702)/KDCRAW KDcrawIface::KDcraw::loadEmbeddedPreview: Using embedded RAW preview extraction
digikam(26702)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(26702)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedTransaction: Failure executing transaction. Error messages:
 "QMYSQL: Unable to begin transaction" "MySQL server has gone away" 2006 2
digikam(26702)/digikam (core) Digikam::DImg::load: "/media/DiskphotosTests/cazedarnes noel 2012/IMG_9545.JPG"  : JPEG file identified
digikam(26702)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedTransaction: Failure executing transaction. Error messages:
 "QMYSQL: Unable to begin transaction" "MySQL server has gone away" 2006 2
digikam(26702)/KDCRAW KDcrawIface::KDcraw::loadEmbeddedPreview: Preview data size: 2254459
digikam(26702)/KDCRAW KDcrawIface::KDcraw::loadEmbeddedPreview: Using embedded RAW preview extraction
digikam(26702)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(26702)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedTransaction: Failure executing transaction. Error messages:
 "QMYSQL: Unable to begin transaction" "MySQL server has gone away" 2006 2
digikam(26702)/digikam (core) Digikam::DImg::load: "/media/DiskphotosTests/cazedarnes noel 2012/IMG_9546.JPG"  : JPEG file identified
digikam(26702)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedTransaction: Failure executing transaction. Error messages:
 "QMYSQL: Unable to begin transaction" "MySQL server has gone away" 2006 2
digikam(26702)/KDCRAW KDcrawIface::KDcraw::loadEmbeddedPreview: Preview data size: 1958109
digikam(26702)/KDCRAW KDcrawIface::KDcraw::loadEmbeddedPreview: Using embedded RAW preview extraction
digikam(26702)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(26702)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedTransaction: Failure executing transaction. Error messages:
 "QMYSQL: Unable to begin transaction" "MySQL server has gone away" 2006 2
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackend::prepareQuery: Prepare failed!
digikam(26702)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT id, type, modificationDate, orientationHint, data FROM UniqueHashes    INNER JOIN Thumbnails ON thumbId = id WHERE uniqueHash=? AND fileSize=?;" 
Error messages: "QMYSQL3: Unable to prepare statement" "MySQL server has gone away" 2006 2 
Bound values:  ()
###END OF LOG###

-- Backtrace (Reduced):
#8  0xb41e71df in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0xb41ea825 in __GI_abort () at abort.c:91
[...]
#11 0xb422eee2 in malloc_printerr (action=<optimized out>, str=<optimized out>, ptr=0x1fc2c5c8) at malloc.c:5018
[...]
#13 0xb65293a8 in QList<QVariant>::node_destruct (this=0x91cbd8c, n=0x16f5c334) at /usr/include/qt4/QtCore/qlist.h:388
#14 0xb6592bd0 in QList<QVariant>::erase (this=0x91cbd8c, afirst=..., alast=...) at /usr/include/qt4/QtCore/qlist.h:811
Comment 2 e.longuemare 2013-11-06 03:41:04 UTC
Sorry,

But I think it's related to this https://bugs.kde.org/show_bug.cgi?id=327197.

I'm not sure the maintenance as something to do with this as memory usage grow and grow faster when a face marker is modified.

The recognition.db grow fast too, from about 20 mo to 35 mo for about ten face markers modified.

Thank you,

Eric
Comment 3 e.longuemare 2013-11-06 03:42:06 UTC
Created attachment 83361 [details]
screenshot when crash occur
Comment 4 e.longuemare 2013-11-06 03:42:59 UTC
Created attachment 83362 [details]
screenshot when crash occur
Comment 5 e.longuemare 2013-11-06 03:59:33 UTC
Digikam conponent :

digiKam version 4.0.0-beta1
Codec PGF parallélisé: Non
Composant graphique Marble: 0.16.2 (stable version)
Demosaic GPL2 pack support: Inconnu
Demosaic GPL3 pack support: Inconnu
Dématriçage parallélisé: Inconnu
Exiv2 peut écrire dans un fichier JP2: Oui
Exiv2 peut écrire dans un fichier JPEG: Oui
Exiv2 peut écrire dans un fichier PGF: Oui
Exiv2 peut écrire dans un fichier PNG: Oui
Exiv2 peut écrire dans un fichier TIFF: Oui
Exiv2 prend en charge les métadonnées XMP: Oui
LibCImg: 130
LibEigen: 3.0.5
LibExiv2: 0.22
LibJPEG: 80
LibJasper: 1.900.1
LibKDE: 4.11.2
LibKExiv2: 2.3.1
LibKGeoMap: 2.0.0
LibKdcraw: 2.4.0
LibLCMS: 2040
LibLensFun: 0.2.7-0
LibPGF: 6.12.27 - bibliothèque interne
LibPNG: 1.2.46
LibQt: 4.8.2
LibRaw: 0.15.4
LibTIFF: LIBTIFF, Version 3.9.5 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Prise en charge du codec RawSpeed: Inconnu
LibGphoto2: 2.4.14
LibKface: 3.0.0
LibKipi: 2.1.0
LibOpenCV: 2.4.5
Modules externes KIPI: 3.5.0
Moteur de base de données: QMYSQL
Serveur interne de base de données: Non

Digikam version :
Date de compilation : Nov 5 2013 (cible : debugfull)
Rév. : ea2847ec161df82f8d64e70afdbc5d12feb7708e

kde :
Platform Version 4.11.2
Comment 6 caulier.gilles 2014-05-16 07:30:16 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 7 e.longuemare 2014-05-26 01:26:18 UTC
Hello,

I have tried now to reproduce it with the same version as previous message : 4.0.0 beta1 to be sure, and it still crash.

Only one digikam componant has change (update) :
digiKam version 4.0.0-beta1
LibKDE: 4.13.0
Date de compilation : Nov 5 2013 (cible : debugfull)
Rév. : ea2847ec161df82f8d64e70afdbc5d12feb7708e

It's a memory leak, I have more info : 
digikam(17281)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(17281)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("jeu. déc. 27 01:00:39 2012")
digikam(17281)/digikam (core) Digikam::DImg::load: "/media/DiskphotosTests/noel 2011 beziers/PICT0223.JPG"  : JPEG file identified
digikam(17281)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(17281)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(17281)/digikam (core) Digikam::DImg::load: "/media/DiskphotosTests/noel 2011 beziers/PICT0219.JPG"  : JPEG file identified
digikam(17281)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(17281)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(17281)/digikam (core) Digikam::DImg::load: "/media/DiskphotosTests/noel 2011 beziers/PICT0217.JPG"  : JPEG file identified
digikam(17281)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(17281)/digikam (core) Digikam::DImg::load: "/media/DiskphotosTests/noel 2011 beziers/PICT0216.JPG"  : JPEG file identified
digikam(17281)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(17281)/digikam (core) Digikam::FaceUtils::identityForTag: Found kface identity 8 for tag 38
digikam(17281)/KFACE KFaceIface::trainIdentityBatch: Training 1 images for identity 8
OpenCV Error: Insufficient memory (Failed to allocate 65540 bytes) in OutOfMemoryError, file /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/core/src/alloc.cpp, line 52
digikam(17281)/KFACE: cv::Exception training LBPH: /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/core/src/alloc.cpp:52: error: (-4) Failed to allocate 65540 bytes in function OutOfMemoryError
 
digikam(17281)/digikam (core) Digikam::FacePipeline::Private::checkFinished: Check for finish:  0 packages, 0 infos to filter, hasFinished() true

I will try tomorrow with digikam 4.0.0 release.

Thank you,

Eric
Comment 8 e.longuemare 2014-05-26 01:29:16 UTC
Created attachment 86822 [details]
New screenshot - Crash when modifying face tag marker - still 4.0.0beta1

Move a face tag marker : fullfill memory and crash
Comment 9 caulier.gilles 2014-06-11 21:13:58 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 10 caulier.gilles 2014-06-11 21:30:54 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 11 caulier.gilles 2014-06-18 14:26:15 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 12 caulier.gilles 2014-06-24 12:43:29 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 13 caulier.gilles 2014-06-24 13:53:41 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 14 caulier.gilles 2014-08-03 20:43:44 UTC
*** Bug 337936 has been marked as a duplicate of this bug. ***
Comment 15 caulier.gilles 2014-08-24 09:38:56 UTC
We need a fresh feedback about this file using last digiKam 4.2.0

Gilles Caulier
Comment 16 caulier.gilles 2015-06-24 16:17:59 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 17 caulier.gilles 2015-08-17 11:27:46 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 18 caulier.gilles 2016-07-14 05:51:36 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier